"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const formatters_1 = require("../formatters");
describe("formatters > formatShortDescription", () => {
    it("should work", () => {
        const actual = formatters_1.formatShortDescription({ coverageDiffPerc: 1.4, headTypeCoveragePerc: 90.2, newUntypedSymbols: 1 });
        expect(actual).toMatchInlineSnapshot(`"Change: +1.40% Total: 90.20% New untyped symbols: 1"`);
    });
    it("should work with atLeast", () => {
        const actual = formatters_1.formatShortDescription({
            coverageDiffPerc: 1.4,
            headTypeCoveragePerc: 90.2,
            newUntypedSymbols: 1,
            atLeast: 90,
        });
        expect(actual).toMatchInlineSnapshot(`"Change: +1.40% Total: 90.20% (min. 90.00%) New untyped symbols: 1"`);
    });
});
//# sourceMappingURL=formatters.spec.js.map